# enable_gtkdoc: Toggle if gtkdoc stuff should be rebuilt
#	0 = no
#	1 = yes
%define enable_gtkdoc	1

%define api_version	1.0
%define lib_major	0
%define major_version 1
%define minor_version 2
%define micro_version 2
%define pkgname     atk

# Version of glib needed
%define req_glib2_version 2.0.0

Name: %{pkgname}%{api_version}
Version: %{major_version}.%{minor_version}.%{micro_version}
Release: 1mdk
Summary: Accessibility features for Gtk+.
License: LGPL
Group: Accessibility
Url: http://developer.gnome.org/projects/gap/
Source: ftp://ftp.gtk.org/pub/gtk/v2.0/%pkgname-%version.tar.bz2
Buildroot: %_tmppath/%name-%{version}-root
BuildRequires: libglib2-devel >= %{req_glib2_version}
BuildRequires: pkgconfig >= 0.8
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif


%description
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%package -n lib%{name}_%{lib_major}
Summary: Accessibility features for Gtk+.
Group: System/Libraries
Requires: common-licenses
Obsoletes:	%{pkgname} lib%{pkgname}
Provides:	%{pkgname} = %{version}-%{release}
Provides:	lib%{pkgname} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n lib%{name}_%{lib_major}
Accessibility means providing system infrastructure that allows add-on
assistive software to transparently provide specalized input and ouput
capabilities. For example, screen readers allow blind users to navigate
through applications, determine the state of controls, and read text via
text to speech conversion. On-screen keyboards replace physical
keyboards, and head-mounted pointers replace mice.

%package -n lib%{name}_%{lib_major}-devel
Summary: Stuff for developing with atk.
Group: Development/C
Obsoletes:	%{pkgname}-devel lib%{pkgname}-devel
Provides:	%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	lib%{name}_%{lib_major} = %{version}
Requires:	libglib2.0-devel >= %{req_glib2_version}
Conflicts:  libatk10-devel

%description -n lib%{name}_%{lib_major}-devel
ATK, the Accessibility Tookit, is used to obtain accessibily information
from GTK+ and GNOME widgets.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x \
	--enable-static \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%{find_lang} %{pkgname}10

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}_%{lib_major} -p /sbin/ldconfig

%postun -n lib%{name}_%{lib_major} -p /sbin/ldconfig

%files -n lib%{name}_%{lib_major} -f %{pkgname}10.lang
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n lib%{name}_%{lib_major}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%changelog
* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-1mdk
- Release 1.1.5

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.4-1mdk
- Release 1.1.4

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.3-1mdk
- Release 1.1.3

* Fri Nov 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.1-1mdk
- Release 1.1.1

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Add Conflicts on libatk10 to ease Mdk 8.2 upgrade

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Tue Apr  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0 (based on Abel Cheung work)

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Thu Jan 31 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.8-2mdk
- added Conflicts < libgtk+2-1.3.12-4mdk

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Compile static libraries
- Clean specfile with help of Abel Cheung <maddog@linux.org.hk> :
 -Remove COPYING
 - Corrected Group and URL, more verbose description from GAP
 - Remove buildroot during start of install section
 - Running autoconf seems not necessary
 - No need to obsolete libatk0 now

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Tue Oct 16 2001 Daouda LO <daouda@mandrakesoft.com> 0.5-2mdk
- better libification.
- spec cleanup

* Tue Oct 16 2001 DindinX <odin@mandrakesoft.com> 0.5-1mdk
- 0.5

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2-5mdk
- BuildRequires pkgconfig
- libglib1.3.6-devel --> libglib2-devel, libglib1.3_6-devel now provides
  libglib2-devel
  
* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2-4mdk
- Sanity build for 8.1.

* Thu Aug 02 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-3mdk
- rebuild with aclocal/autoconf

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-2mdk
- relink with glib

* Fri Jul 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2-1mdk
- updated to 0.2

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-6mdk
- remove BuildRequires: glib-devel
- BuildRequires: libglib2-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-5mdk
- BuildRequires: glib-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: pango-devel

* Tue Jun 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-3mdk
- Rebuild so that it is built for the i586 architecture (Peter Polman).

* Fri May 11 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-2mdk
- rebuild to link agaisnt new libglib2

* Sun May 06 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-1mdk
- First attempt for Gtk+.


